- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
efl::eo::detail::operations< ::evas_3d_mesh >::type< T > Struct Template Reference

## Public Member Functions
virtual void | update_notify ()
virtual void | change_notify (Evas_3D_State state_, Evas_3D_Object *ref_)
virtual Evas_3D_Shade_Mode | shade_mode_get ()
virtual void | shade_mode_set (Evas_3D_Shade_Mode mode_)
virtual Evas_3D_Material * | frame_material_get (int frame_)
virtual void | frame_material_set (int frame_, Evas_3D_Material *material_)
virtual Evas_3D_Vertex_Assembly | vertex_assembly_get ()
virtual void | vertex_assembly_set (Evas_3D_Vertex_Assembly assembly_)
virtual void | file_set (Evas_3D_Mesh_File_Type type_, std::string file_, std::string key_)
virtual void | save (Evas_3D_Mesh_File_Type type_, std::string file_, std::string key_)
virtual void | frame_vertex_data_set (int frame_, Evas_3D_Vertex_Attrib attrib_, int stride_, const void *data_)
virtual void | frame_vertex_data_copy_set (int frame_, Evas_3D_Vertex_Attrib attrib_, int stride_, const void *data_)
virtual void * | frame_vertex_data_map (int frame_, Evas_3D_Vertex_Attrib attrib_)
virtual void | frame_vertex_data_unmap (int frame_, Evas_3D_Vertex_Attrib attrib_)
virtual int | frame_vertex_stride_get (int frame_, Evas_3D_Vertex_Attrib attrib_)
virtual void | index_data_set (Evas_3D_Index_Format format_, int count_, const void *indices_)
virtual void | index_data_copy_set (Evas_3D_Index_Format format_, int count_, const void *indices_)
virtual Evas_3D_Index_Format | index_format_get ()
virtual int | index_count_get ()
virtual void * | index_data_map ()
virtual void | index_data_unmap ()
virtual void | frame_add (int frame_)
virtual void | frame_del (int frame_)
virtual void | vertex_count_set (unsigned int count_)
virtual int | vertex_count_get ()
virtual void | fog_color_set (Evas_Real r_, Evas_Real g_, Evas_Real b_, Evas_Real a_)
virtual void | fog_color_get (Evas_Real *r_, Evas_Real *g_, Evas_Real *b_, Evas_Real *a_)
virtual void | fog_enable_set (bool enabled_)
virtual bool | fog_enable_get ()